Summary:	Dynamic Kernel Module Support Framework
Summary(pl.UTF-8):	Obsługa dynamicznych modułów jądra
Name:		dkms
Version:	2.2.0.3
Release:	4
License:	GPL v2+
Group:		Base/Kernel
Source0:	http://linux.dell.com/dkms/permalink/%{name}-%{version}.tar.gz
# Source0-md5:	11a8aaade2ebec2803653837c7593030
Source1:	%{name}.modprobe.conf
Patch0:		kernel.conf.patch
URL:		http://linux.dell.com/dkms/
Requires:	bash >= 3.0
Requires:	coreutils
Requires:	cpio
Requires:	findutils
Requires:	gawk
Requires:	gcc
Requires:	grep
Requires:	gzip
Requires:	kmod
Requires:	lsb-release
Requires:	sed
Requires:	tar
Suggests:	kernel-module-build
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DKMS stands for Dynamic Kernel Module Support. It is designed to
create a framework where kernel dependant module source can reside so
that it is very easy to rebuild modules as you upgrade kernels. This
will allow Linux vendors to provide driver drops without having to
wait for new kernel releases while also taking out the guesswork for
customers attempting to recompile modules for new kernels.

%description -l pl.UTF-8
DKMS (Dynamic Kernel Module Support) to obsługa dynamicznych modułów
jądra. Została zaprojektowana aby stworzyć szkielet do przechowywania
źródeł modułów zależnych od jądra w sposób łatwy do zbudowania modułów
po uaktualnieniu jądra. Pozwala to dostawcom Linuksa udostępniać
sterowniki bez czekania na nowe wydania jądra ani rozwiązywania
problemów klientów próbujących przebudować moduły dla nowych jąder.

%package -n bash-completion-dkms
Summary:	Bash completion for dkms command
Summary(pl.UTF-8):	Bashowe uzupełnianie parametrów dla polecenia dkms
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}
Requires:	bash-completion

%description -n bash-completion-dkms
Bash completion for dkms command.

%description -n bash-completion-dkms -l pl.UTF-8
Bashowe uzupełnianie parametrów dla polecenia dkms.

%prep
%setup -q
%patch0 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/modprobe.d

%{__make} install \
	SHELL=/bin/sh \
	DESTDIR=$RPM_BUILD_ROOT

# not in pld
%{__rm} $RPM_BUILD_ROOT/etc/kernel/postinst.d/dkms
%{__rm} $RPM_BUILD_ROOT/etc/kernel/prerm.d/dkms
%{__rm} $RPM_BUILD_ROOT/usr/lib/dkms/dkms_autoinstaller

cp -p %{SOURCE1} $RPM_BUILD_ROOT/etc/modprobe.d/dkms.conf

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS README.dkms TODO sample.spec
%dir %{_sysconfdir}/%{name}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/framework.conf
%config(noreplace) %verify(not md5 mtime size) /etc/modprobe.d/dkms.conf
%attr(755,root,root) %{_sbindir}/dkms
%{_mandir}/man8/dkms.8*
%dir %{_prefix}/lib/%{name}
%{_prefix}/lib/%{name}/common.postinst
%dir %{_localstatedir}/lib/%{name}
%{_localstatedir}/lib/%{name}/dkms_dbversion

%files -n bash-completion-dkms
%defattr(644,root,root,755)
/etc/bash_completion.d/dkms
%changelog
* Mon Dec 07 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/dkms.git;a=log;h=master

* Mon Dec 07 2015 Elan Ruusamäe <glen@delfi.ee> 7f2d513
- do not require any specific kernel version

* Mon Feb 24 2014 Elan Ruusamäe <glen@delfi.ee> e579e12
- do not install redhat specific cruft

* Sun Oct 13 2013 Elan Ruusamäe <glen@delfi.ee> 64d228d
- release 2 (by relup.sh)

* Sun Oct 13 2013 Elan Ruusamäe <glen@delfi.ee> 3c4473b
- add dkms modprobe.conf

* Sun Oct 13 2013 Elan Ruusamäe <glen@delfi.ee> 08c2236
- noarch

* Sun Oct 13 2013 Elan Ruusamäe <glen@delfi.ee> 4bca79f
- add placeholder for dkms backlists

* Sun Oct 13 2013 Elan Ruusamäe <glen@delfi.ee> 36c9134
- do not process /etc/sysconfig/kernel as modprobe.conf blacklist file

* Sun Feb 24 2013 Jakub Bogusz <qboosh@pld-linux.org> 8668c89
- package bash-completion
- GPL version

* Tue Feb 19 2013 Elan Ruusamäe <glen@delfi.ee> 225071b
- works fine. so rel 1

* Tue Feb 19 2013 Elan Ruusamäe <glen@delfi.ee> dadb45d
- 'dkms build' requires gcc to compile

* Tue Feb 19 2013 Elan Ruusamäe <glen@delfi.ee> 5602cd9
- cleanup args, setup SHELL not to depend on bash

* Tue Feb 19 2013 Elan Ruusamäe <glen@delfi.ee> d603c97
- up to 2.2.0.3

* Fri Nov 12 2010 Caleb Maclennan <caleb@alerque.com> c3226a3
- Up to latest stable 2.1.1.2
- Updated download and project URLs

* Thu Dec 27 2007 zbyniu <zbyniu@pld-linux.org> 70465de
- up to 2.0.17.5

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> e48e590
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> d5f6adb
- converted to UTF-8

* Fri Jul 07 2006 darekr <darekr@pld-linux.org> b282892
- missing dir

* Thu May 25 2006 Jakub Bogusz <qboosh@pld-linux.org> ceb21f4
- pl

* Thu May 25 2006 Elan Ruusamäe <glen@pld-linux.org> a9b375c
- new, based on dag's spec (http://dag.wieers.com/packages/dkms/dkms.spec)

